> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rebase.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Site Forecast

> Get the forecast of a site for a given date range.

If no start_date is provided, 00:00 UTC of the current day is used.



## OpenAPI

````yaml get /platform/v2/sites/{site_id}/forecast
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /platform/v2/sites/{site_id}/forecast:
    get:
      tags:
        - Site
      summary: Get Site Forecast
      description: |-
        Get the forecast of a site for a given date range.

        If no start_date is provided, 00:00 UTC of the current day is used.
      operationId: get_site_forecast_platform_v2_sites__site_id__forecast_get
      parameters:
        - name: site_id
          in: path
          required: true
          schema:
            type: string
            title: Site Id
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: End Date
        - name: tz
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tz
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: As Of
        - name: model_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Model Id
        - name: return_normalized
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Return Normalized
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteForecastResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SiteForecastResponse:
      properties:
        valid_time:
          items:
            type: string
            format: date-time
          type: array
          title: Valid Time
          example:
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T01:00:00Z'
            - '2026-01-01T02:00:00Z'
            - '2026-01-01T03:00:00Z'
            - '2026-01-01T04:00:00Z'
            - '2026-01-01T05:00:00Z'
            - '2026-01-01T06:00:00Z'
            - '2026-01-01T07:00:00Z'
            - '2026-01-01T08:00:00Z'
            - '2026-01-01T09:00:00Z'
        forecast:
          items:
            type: number
          type: array
          title: Forecast
          example:
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
        capacity:
          items:
            type: number
          type: array
          title: Capacity
          example:
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
        model_name:
          items:
            type: string
          type: array
          title: Model Name
          example:
            - My model
            - My model
            - My model
            - My model
            - My model
            - My model
            - My model
            - My model
            - My model
            - My model
        model_version:
          items:
            type: integer
          type: array
          title: Model Version
          example:
            - 1
            - 1
            - 1
            - 1
            - 1
            - 1
            - 1
            - 1
            - 1
            - 1
        update_time:
          items:
            type: string
            format: date-time
          type: array
          title: Update Time
          example:
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T00:00:00Z'
      type: object
      required:
        - valid_time
        - forecast
        - capacity
        - model_name
        - model_version
        - update_time
      title: SiteForecastResponse
    ValidationResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ValidationResponse
    ErrorItem:
      properties:
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: ErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: >-
        Your API key. This is required to access our API programatically. You
        can view your API key in the Rebase dashboard.
      in: header
      name: Authorization

````